Update of /cvsroot/fink/dists/10.7/stable/main/finkinfo/gnome
In directory vz-cvs-3.sog:/tmp/cvs-serv9870/gnome

Added Files:
        vte9-shlibs.patch vte-py.info vte-py.patch 
Log Message:
gnome/vte9-shlibs.info

--- NEW FILE: vte-py.info ---
Info2: <<
Package: vte-py%type_pkg[python]
Version: 0.22.5
Revision: 3
Type: python (2.6 2.7)
Depends: <<
        atk1-shlibs (>= 1.28.0-1),
        cairo-shlibs (>= 1.8.8-3),
        fontconfig2-shlibs (>= 2.8.0-4),
        freetype219-shlibs (>= 2.3.12-1),
        glib2-shlibs (>= 2.22.0-1),
        gtk+2 (>= 2.18.0-1),
        libncurses5-shlibs (>= 5.4-20041023-1006),
        pango1-xft2-ft219-shlibs (>= 1.24.5-4),
        pygobject2-py%type_pkg[python] (>= 2.20.0-1),
        pygtk2-gtk-py%type_pkg[python] (>= 2.16.0-1),
        python%type_pkg[python],
        vte9-shlibs (>= %v-1)
<<
BuildDepends: <<
        atk1 (>= 1.28.0-1),
        cairo (>= 1.8.8-3),
        fink-package-precedence,
        fink (>= 0.24.12-1),
        fontconfig2-dev (>= 2.8.0-4),
        freetype219 (>= 2.3.12-1),
        gettext-bin,
        gettext-tools,
        glib2-dev (>= 2.22.0-1),
        glitz,
        gtk+2-dev (>= 2.18.0-1),
        gtk-doc (>= 1.13-5),
        intltool40,
        libgettext8-dev,
        libncurses5 (>= 5.4-20041023-1006),
        pango1-xft2-ft219-dev (>= 1.24.5-4),
        pixman (>= 0.16.0-1),
        pkgconfig (>= 0.23),
        pygobject2-py%type_pkg[python]-dev (>= 2.20.0-1),
        pygtk2-gtk-py%type_pkg[python]-dev (>= 2.16.0-1),
        vte9-dev (>= %v-1),
        x11-dev
<<
Source: mirror:gnome:sources/vte/0.22/vte-%v.tar.bz2
Source-MD5: cbb17696e40ee175977bf165ef838da2
PatchFile: %{ni}.patch
PatchFile-MD5: 09366506b724652df6ea5dd7d9c233f5
SetCPPFLAGS: -I%p/lib/fontconfig2/include
SetLDFLAGS: -L%p/lib/fontconfig2/lib
SetCFLAGS: -g -O0
ConfigureParams: --libexecdir=%p/lib/vte --mandir=%p/share/man --enable-python 
--disable-static --enable-dependency-tracking
CompileScript: <<
        #!/bin/sh -ex
        export 
PKG_CONFIG_PATH=%p/lib/glib-2.0/pkgconfig-strict:%p/lib/fontconfig2/lib/pkgconfig:$PKG_CONFIG_PATH
        PYTHON=%p/bin/python%type_raw[python] VTE_CFLAGS="`%p/bin/pkg-config 
--cflags vte`" VTE_LIBS="`%p/bin/pkg-config --libs vte`" ./configure %c
        make -C python
        fink-package-precedence --prohibit-bdep %n-dev .
<<
InstallScript: make -j1 -C python install DESTDIR="%d"
DocFiles: AUTHORS COPYING ChangeLog NEWS README
SplitOff: <<
        Package: %N-dev
        Depends: %N (>= %v-%r)
        BuildDependsOnly: true
        Conflicts: <<
                vte-py26-dev, vte-py27-dev
        <<
        Replaces: <<
                vte9-dev (<< 0.20.3-3), vte9-shlibs (<< 0.20.3-3),
                vte-py26-dev, vte-py27-dev
        <<
        Files: <<
                lib/pkgconfig
                share/pygtk
        <<
<<
Description: Python bindings for vte
DescPackaging: <<
        *Just* want python stuff, so override its Makefile pieces
        that involve local libvte

        pyvte.pc snuck into vte9-dev in 2.20.3-2
        vte.defs snuck into vte9-shlibs in 2.20.3-2
<<
License: GPL
Maintainer: The Gnome Core Team <fink-gnome-c...@lists.sourceforge.net>
Homepage: http://www.gnome.org/
<<

--- NEW FILE: vte-py.patch ---
diff -Nurd -x'*~' vte-0.22.5.orig/python/Makefile.in 
vte-0.22.5/python/Makefile.in
--- vte-0.22.5.orig/python/Makefile.in  2009-11-17 13:41:18.000000000 -0500
+++ vte-0.22.5/python/Makefile.in       2010-03-09 23:31:37.000000000 -0500
@@ -73,7 +73,6 @@
 LTLIBRARIES = $(pythonsiteexec_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 @BUILD_PYTHON_MODULES_TRUE@vtemodule_la_DEPENDENCIES =  \
-@BUILD_PYTHON_MODULES_TRUE@    $(top_builddir)/src/libvte.la \
 @BUILD_PYTHON_MODULES_TRUE@    $(am__DEPENDENCIES_1) \
 @BUILD_PYTHON_MODULES_TRUE@    $(am__DEPENDENCIES_1) \
 @BUILD_PYTHON_MODULES_TRUE@    $(am__DEPENDENCIES_1)
@@ -320,7 +319,7 @@
 # we do this to suport building with -Wl,-z,defs which errors on
 # vtemodule.so as we cannot include $(PYTHON_LIBS) due to bug 410986.
 @BUILD_PYTHON_MODULES_TRUE@vtemodule_la_LDFLAGS = -module -avoid-version 
-export-symbols-regex initvte $(PYTHON_LDFLAGS) $(AM_LDFLAGS)
-@BUILD_PYTHON_MODULES_TRUE@vtemodule_la_LIBADD = $(top_builddir)/src/libvte.la 
$(LIBS) $(PYGTK_LIBS) $(VTE_LIBS) $(X_LIBS)
+@BUILD_PYTHON_MODULES_TRUE@vtemodule_la_LIBADD = $(LIBS) $(PYGTK_LIBS) 
$(VTE_LIBS) $(X_LIBS)
 @BUILD_PYTHON_MODULES_TRUE@nodist_vtemodule_la_SOURCES = vte.c
 all: all-am
 

--- NEW FILE: vte9-shlibs.patch ---
diff -Nurd -x'*~' vte-0.22.5.orig/src/Makefile.in vte-0.22.5/src/Makefile.in
--- vte-0.22.5.orig/src/Makefile.in     2009-11-17 13:41:21.000000000 -0500
+++ vte-0.22.5/src/Makefile.in  2010-02-21 01:07:29.000000000 -0500
@@ -521,7 +521,7 @@
        -DVTE_COMPILATION
 
 libvte_la_CFLAGS = $(VTE_CFLAGS)
-libvte_la_LIBADD = $(VTE_LIBS)
+libvte_la_LIBADD = $(VTE_LIBS) $(INTLLIBS)
 libvte_la_LDFLAGS = \
        -version-info $(LIBVTE_LTVERSION) \
        -export-symbols-regex 
"^vte_terminal_.*|^_vte_pty_.*|^vte_reaper_.*|_vte_debug_.*" \


------------------------------------------------------------------------------
BlackBerry&reg; DevCon Americas, Oct. 18-20, San Francisco, CA
The must-attend event for mobile developers. Connect with experts. 
Get tools for creating Super Apps. See the latest technologies.
Sessions, hands-on labs, demos & much more. Register early & save!
http://p.sf.net/sfu/rim-blackberry-1
_______________________________________________
Fink-commits mailing list
Fink-commits@lists.sourceforge.net
http://news.gmane.org/gmane.os.apple.fink.cvs

Reply via email to